Bug 1465370 - Volumes: Get 'Button not yet implemented' while adding tag to cloud volume opened from availability zone page
Volumes: Get 'Button not yet implemented' while adding tag to cloud volume op...
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.9.0
Assigned To: Jozef Zigmund
Ruslana Babyuk
ui:volume
: TestOnly, ZStream
Depends On:
Blocks: 1479940
  Show dependency treegraph
 
Reported: 2017-06-27 06:17 EDT by Ruslana Babyuk
Modified: 2017-10-12 05:19 EDT (History)
7 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1479940 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)
error_screen (34.37 KB, image/png)
2017-06-27 06:17 EDT, Ruslana Babyuk
no flags Details

  None (edit)
Description Ruslana Babyuk 2017-06-27 06:17:25 EDT
Created attachment 1292263 [details]
error_screen

Description of problem:
 Get 'Button not yet implemented' while adding tag to cloud volume opened from availability zone page

Version-Release number of selected component (if applicable):
5.8.1

How reproducible:
100%

Steps to Reproduce:
1. Add cloud provider
2. Navigate to Compute-> Cloud-> Availability Zones
3. Select Availability Zone which contains volumes
4. On Availability Zone summary page click on "Cloud Volumes" section
5. Select checkbox for any volume in the list
6. Policy-> Edit Tags

Actual results:
Got error 'Button not yet implemented'

Expected results:
Edit tags page should be open

Additional info:
If Cloud volume was opened from Storage-> Block Storage-> Tag edit works
'Button not yet implemented' appears also for Configuration -> (Add a new Cloud Volume, Create a Snapshot of selected Cloud Volume, Attach selected Cloud Volume to an Instance, Detach selected Cloud Volume from an Instance) options
Comment 4 CFME Bot 2017-07-31 06:58:26 EDT
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/1b40fe6c58c502e4c93f76f7b4da46f2e9c87560

commit 1b40fe6c58c502e4c93f76f7b4da46f2e9c87560
Author:     Jozef Zigmund <jzigmund@redhat.com>
AuthorDate: Thu Jun 29 17:32:09 2017 +0200
Commit:     Jozef Zigmund <jzigmund@redhat.com>
CommitDate: Thu Jun 29 17:37:57 2017 +0200

    Fix button actions on Availability Zone nested resources
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1465366
    https://bugzilla.redhat.com/show_bug.cgi?id=1465370

 app/controllers/availability_zone_controller.rb | 65 +------------------------
 1 file changed, 1 insertion(+), 64 deletions(-)

Note You need to log in before you can comment on or make changes to this bug.